$version = '1.0.1'

if(!(Test-Path "HKLM:\Software\Microsoft\PowerShell\3")){
    Write-Host "Windows Azure Powershell requires Powershell version 3 or greater."
    return
}

$installAzurePWS = $true

if(${env:ProgramFiles(x86)} -ne $null){ $programFiles86 = ${env:ProgramFiles(x86)} } else { $programFiles86 = $env:ProgramFiles }
#$modulePath="$programFiles86\Microsoft SDKs\Windows Azure\PowerShell\Azure\Azure.psd1"
$modulePath="$programFiles86\Microsoft SDKs\Azure\PowerShell\ServiceManagement\Azure\Azure.psd1"

if(Test-Path $modulePath) {
    $a=IEX (Get-content $modulePath | Out-String)
    if($a.ModuleVersion -eq $version) {
        Write-Host "Windows Azure Powershell $version is already installed."
        $installAzurePWS = $false
    }
}

If($installAzurePWS)
{
    Install-ChocolateyPackage 'WindowsAzurePowershell' 'msi' '/quiet /norestart' "https://github.com/Azure/azure-powershell/releases/download/v1.0.1-November2015/azure-powershell.1.0.1.msi"
}